summaryrefslogtreecommitdiffstats
path: root/jjb/functest/set-functest-env.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/functest/set-functest-env.sh')
-rwxr-xr-xjjb/functest/set-functest-env.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/jjb/functest/set-functest-env.sh b/jjb/functest/set-functest-env.sh
index 3cbb4a515..d2e232de5 100755
--- a/jjb/functest/set-functest-env.sh
+++ b/jjb/functest/set-functest-env.sh
@@ -37,7 +37,7 @@ elif [[ ${INSTALLER_TYPE} == 'joid' ]]; then
fi
# Set iptables rule to allow forwarding return traffic for container
-if ! sudo iptables -C FORWARD -j RETURN 2> ${redirect}; then
+if ! sudo iptables -C FORWARD -j RETURN 2> ${redirect} || ! sudo iptables -L FORWARD | awk 'NR==3' | grep RETURN 2> ${redirect}; then
sudo iptables -I FORWARD -j RETURN
fi